%global api	5
%global major	0
%define libname %mklibname amtk %api %major
%define girname	%mklibname amtk-gir %{api}
%define devname %mklibname -d amtk %api

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           amtk
Version:        5.6.1
Release:        %mkrel 1
Summary:        Text editor product line
Group:		System/Libraries

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Amtk
Source0:        https://download.gnome.org/sources/amtk/%{url_ver}/amtk-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)

# Removed
Obsoletes: amtk-tests < 5.3.1

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.

%package        -n %{libname}
Summary:        Libraries for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}amtk5 < 4.99.1-2

%description    -n %{libname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for Amtk
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{name} < 4.99.1-2

%description -n %{girname}
GObject Introspection interface description for Amtk.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:		Development/Other
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}amtk-devel < 4.99.1-2

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang amtk-%{api}

%files -f amtk-%{api}.lang
%doc NEWS README.md

%files -n %{girname}
%{_libdir}/girepository-1.0/Amtk-%{api}.typelib

%files -n %libname
%{_libdir}/libamtk-%{api}.so.%{major}{,.*}

%files -n %devname
%doc %{_datadir}/gtk-doc/html/amtk-5/
%{_includedir}/amtk-%{api}/
%{_libdir}/libamtk-%{api}.so
%{_libdir}/pkgconfig/amtk-%{api}.pc
%{_datadir}/gir-1.0/Amtk-%{api}.gir


%changelog
* Tue Dec 13 2022 tv <tv> 5.6.1-1.mga9
+ Revision: 1921631
- Update to 5.6.1

* Fri Nov 04 2022 ghibo <ghibo> 5.6.0-1.mga9
+ Revision: 1902515
- Fix major
+ ovitters <ovitters>
- new version 5.6.0

* Mon Oct 24 2022 ovitters <ovitters> 5.5.2-1.mga9
+ Revision: 1899064
- new version 5.5.2

* Sun Aug 14 2022 neoclust <neoclust> 5.5.1-1.mga9
+ Revision: 1877591
- New version 5.5.1
+ ovitters <ovitters>
- new version 5.4.1
- new version 5.4.0
- new version 5.3.2

* Wed Mar 16 2022 tv <tv> 5.3.1-1.mga9
+ Revision: 1794449
- Update to 5.3.1
- Switch to meson build system
- Remove -tests sub package as the installed tests are gone upstream

* Thu Sep 10 2020 ovitters <ovitters> 5.2.0-1.mga8
+ Revision: 1624102
- new version 5.2.0

* Fri Sep 04 2020 ovitters <ovitters> 5.1.2-1.mga8
+ Revision: 1621659
- new version 5.1.2

* Thu Jun 11 2020 daviddavid <daviddavid> 5.1.1-1.mga8
+ Revision: 1592454
- new version 5.1.1

* Wed Feb 19 2020 umeabot <umeabot> 5.0.2-2.mga8
+ Revision: 1544310
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 ovitters <ovitters> 5.0.2-1.mga8
+ Revision: 1482806
- new version 5.0.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 06 2019 ovitters <ovitters> 5.0.1-1.mga8
+ Revision: 1437903
- new version 5.0.1

* Fri Sep 21 2018 umeabot <umeabot> 5.0.0-2.mga7
+ Revision: 1294326
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 wally <wally> 5.0.0-1.mga7
+ Revision: 1243836
- new version 5.0.0

* Mon Jul 16 2018 wally <wally> 4.99.1-2.mga7
+ Revision: 1243832
- fix lib and devel pkg names
- split out gir typelib
- don't own system dirs
+ tv <tv>
- better URL

* Thu May 10 2018 tv <tv> 4.99.1-1.mga7
+ Revision: 1228053
- imported package amtk

